> On July 13, 2016, 10:33 a.m., Jonathan Hurley wrote:
> > ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/params_linux.py,
> >  line 60
> > <https://reviews.apache.org/r/49987/diff/1/?file=1443235#file1443235line60>
> >
> >     No need for `stack_version_formatted and` here ... just call 
> > `check_stack_feature` directly.
> 
> Mugdha Varadkar wrote:
>     @Jonathan Hurley, am directly using check_stack_feature here because even 
> if we pass version as ---> 2.3.4.0-1234, the code has format flag as true, 
> which calls format_stack_version() function which can be used for comparision.
>     "compare_versions(stack_version, min_version, format = True) < 0"
>     
>     Also I have added the check for "version" in this way "if 
> upgrade_direction == Direction.DOWNGRADE and version"

My point was that the code was originally:
`foo and check_stack_feature(feature, foo) `

You don't need the "foo and" part since the check_stack_feature is checking it 
for None anyway.


- Jonathan


-----------------------------------------------------------
This is an automatically generated e-mail. To reply, visit:
https://reviews.apache.org/r/49987/#review142063
-----------------------------------------------------------


On July 13, 2016, 8:25 a.m., Mugdha Varadkar wrote:
> 
> -----------------------------------------------------------
> This is an automatically generated e-mail. To reply, visit:
> https://reviews.apache.org/r/49987/
> -----------------------------------------------------------
> 
> (Updated July 13, 2016, 8:25 a.m.)
> 
> 
> Review request for Ambari, Alejandro Fernandez, Gautam Borad, Jonathan 
> Hurley, Jayush Luniya, Srimanth Gunturi, and Velmurugan Periasamy.
> 
> 
> Bugs: AMBARI-17687
>     https://issues.apache.org/jira/browse/AMBARI-17687
> 
> 
> Repository: ambari
> 
> 
> Description
> -------
> 
> Scenario:
> 1. install ranger with stack 2.4 and ambari-2.4.0
> 2. register the version of stack 2.5
> 3. perform the upgrade
> at the step where it where zookeepers are upgraded , just downgraded.
> 4. downgrade was successful 
> 5. check ranger service status , it was down
> try to restart the ranger but ranger startup is failing
> 
> 
> Diffs
> -----
> 
>   
> ambari-server/src/main/resources/common-services/ATLAS/0.1.0.2.3/package/scripts/params.py
>  8445214 
>   
> ambari-server/src/main/resources/common-services/HBASE/0.96.0.2.0/package/scripts/params_linux.py
>  6d304d4 
>   
> ambari-server/src/main/resources/common-services/HDFS/2.1.0.2.0/package/scripts/params_linux.py
>  f24bd83 
>   
> ambari-server/src/main/resources/common-services/HIVE/0.12.0.2.0/package/scripts/params_linux.py
>  571eebd 
>   
> ambari-server/src/main/resources/common-services/KAFKA/0.8.1/package/scripts/params.py
>  f47eee4 
>   
> ambari-server/src/main/resources/common-services/KNOX/0.5.0.2.2/package/scripts/params_linux.py
>  7e0477f 
>   
> ambari-server/src/main/resources/common-services/RANGER/0.4.0/package/scripts/params.py
>  fad4b9b 
>   
> ambari-server/src/main/resources/common-services/RANGER_KMS/0.5.0.2.3/package/scripts/params.py
>  dfcad32 
>   
> ambari-server/src/main/resources/common-services/STORM/0.9.1/package/scripts/params_linux.py
>  2afb187 
>   
> ambari-server/src/main/resources/common-services/YARN/2.1.0.2.0/package/scripts/params_linux.py
>  44a0446 
>   ambari-server/src/main/resources/stacks/HDP/2.3/upgrades/upgrade-2.5.xml 
> 4c122e9 
>   ambari-server/src/main/resources/stacks/HDP/2.4/upgrades/upgrade-2.5.xml 
> bbd0fe4 
> 
> Diff: https://reviews.apache.org/r/49987/diff/
> 
> 
> Testing
> -------
> 
> Test Ranger Downgrade from stack 2.5 to 2.4
> 
> 
> Thanks,
> 
> Mugdha Varadkar
> 
>

Reply via email to